import 'package:mmoo_base_recharge/entity/recharge_entity.dart';

rechargeEntityFromJson(RechargeEntity data, Map<String, dynamic> json) {
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['url'] != null) {
		data.url = json['url'].toString();
	}
	if (json['money'] != null) {
		data.money = json['money'].toString();
	}
	if (json['addMoney'] != null) {
		data.addMoney = json['addMoney'].toString();
	}
	if (json['payed'] != null) {
		data.payed = json['payed'].toString();
	}
	return data;
}

Map<String, dynamic> rechargeEntityToJson(RechargeEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['id'] = entity.id;
	data['url'] = entity.url;
	data['money'] = entity.money;
	data['addMoney'] = entity.addMoney;
	data['payed'] = entity.payed;
	return data;
}