import 'package:mmoo_base_recharge/entity/recharge_list_entity.dart';

rechargeListEntityFromJson(RechargeListEntity data, Map<String, dynamic> json) {
	if (json['list'] != null) {
		data.list = (json['list'] as List).map((v) => RechargeList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> rechargeListEntityToJson(RechargeListEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['list'] =  entity.list?.map((v) => v.toJson())?.toList();
	return data;
}

rechargeListFromJson(RechargeList data, Map<String, dynamic> json) {
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['price'] != null) {
		data.price = json['price'].toString();
	}
	if (json['code'] != null) {
		data.code = json['code'].toString();
	}
	if (json['codeType'] != null) {
		data.codeType = json['codeType'].toString();
	}
	if (json['coin'] != null) {
		data.coin = json['coin'].toString();
	}
	if (json['originalCoin'] != null) {
		data.originalCoin = json['originalCoin'].toString();
	}
	if (json['addCoin'] != null) {
		data.addCoin = json['addCoin'].toString();
	}
	if (json['addWords'] != null) {
		data.addWords = json['addWords'].toString();
	}
	if (json['sortTop'] != null) {
		data.sortTop = json['sortTop'].toString();
	}
	if (json['symbol'] != null) {
		data.symbol = json['symbol'].toString();
	}
	return data;
}

Map<String, dynamic> rechargeListToJson(RechargeList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['id'] = entity.id;
	data['price'] = entity.price;
	data['code'] = entity.code;
	data['codeType'] = entity.codeType;
	data['coin'] = entity.coin;
	data['originalCoin'] = entity.originalCoin;
	data['addCoin'] = entity.addCoin;
	data['addWords'] = entity.addWords;
	data['sortTop'] = entity.sortTop;
	data['symbol'] = entity.symbol;
	return data;
}