import 'package:mmoo_base_recharge/entity/recharge_type_entity.dart';

rechargeTypeEntityFromJson(RechargeTypeEntity data, Map<String, dynamic> json) {
	if (json['rechargeModels'] != null) {
		data.rechargeModels = (json['rechargeModels'] as List).map((v) => RechargeTypeList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> rechargeTypeEntityToJson(RechargeTypeEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['rechargeModels'] =  entity.rechargeModels?.map((v) => v.toJson())?.toList();
	return data;
}

rechargeTypeListFromJson(RechargeTypeList data, Map<String, dynamic> json) {
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['url'] != null) {
		data.url = json['url'].toString();
	}
	if (json['type'] != null) {
		data.type = json['type'].toString();
	}
	return data;
}

Map<String, dynamic> rechargeTypeListToJson(RechargeTypeList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['name'] = entity.name;
	data['url'] = entity.url;
	data['type'] = entity.type;
	return data;
}