import 'dart:io';

import 'package:mmoo_base/api/address.dart';

///地址数据
class RechargeUrl {
  static String host = Address.host;

  ///充值列表-支持的充值类型
  static rechargeSupport() {
    return '$host/ppy/supportRecharge';
  }

  ///充值列表
  static rechargeList() {
    return '$host/v1/recharge/list';
  }

  ///充值下单
  static rechargeOrder() {
    return '$host/v1/recharge/order';
  }

  ///充值ppy检查是否成功
  static rechargePpCheck() {
    return '$host/v1/recharge/queryStatus';
  }

  ///充值内购检查是否成功
  static rechargeInCheck() {
    return Platform.isIOS
        ? '$host/v1/recharge/ticketSuccess'
        : '$host/v1/recharge/successCallBack';
  }

  ///充值内购检查是否成功Vip
  static rechargeInCheckVip() {
    return '$host/iap/subscription';
  }

  ///充值取消上报
  static rechargeCancel() {
    return '$host/v1/recharge/cancelCallBack';
  }

  ///充值失败上报
  static rechargeFailLog() {
    return '$host/v1/recharge/failCallBack';
  }
}
